cURL
curl --request POST \
--url https://api.deapi.ai/api/v1/client/img-upscale/price-calculation \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'image=<string>' \
--form model=RealESRGAN_x4plus \
--form 0.image='@example-file'import requests
url = "https://api.deapi.ai/api/v1/client/img-upscale/price-calculation"
files = { "0.image": ("example-file", open("example-file", "rb")) }
payload = {
"image": "<string>",
"model": "RealESRGAN_x4plus"
}
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('image', '<string>');
form.append('model', 'RealESRGAN_x4plus');
form.append('0.image', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.deapi.ai/api/v1/client/img-upscale/price-calculation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"price": 0.15
}
}{
"data": {},
"message": "<string>",
"errors": [
"<unknown>"
],
"statusCode": 123
}{
"data": {},
"message": "<string>",
"errors": [
"<unknown>"
],
"statusCode": 123
}{
"message": "The selected model does not support Text To Image.",
"errors": {
"model": [
"The selected model does not support Text To Image."
]
}
}{
"message": "Too Many Attempts."
}Transformation
Image Upscale Price Calculation
Endpoint for calculating price for image upscaling inference
POST
/
api
/
v1
/
client
/
img-upscale
/
price-calculation
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Body
multipart/form-data
Image upscaling parameters
Response
Calculated price for image upscaling inference.
Show child attributes
Show child attributes
Was this page helpful?
⌘I